#include "CurveStandIn.h"

#include <extension/Extension.h>

extern "C"
{
	DLLEXPORT void initializeExtension(CExtension& plugin)
	{
		plugin.Requires("AbcImport");
		plugin.RegisterNode("CurveStandIn",
								CurveStandIn::id, 
								CurveStandIn::creator, 
								CurveStandIn::initialize,
								MPxNode::kSurfaceShape);

		//extension.RegisterTranslator("CurveStandIn", "CurveStandInTranslator");
	}

	DLLEXPORT void deinitializeExtension(CExtension &plugin)
	{
	}
}